ImporterTopLevel (Rhino)
Keywords: org.mozilla.javascript.ImporterTopLevel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class ImporterTopLevel

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.ImporterTopLevel

All Implemented Interfaces:
  org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.IdFunctionCall, Scriptable, java.io.Serializable

public class ImporterTopLevel
extends org.mozilla.javascript.IdScriptableObject

Class ImporterTopLevel This class defines a ScriptableObject that can be instantiated as a top-level ("global") object to provide functionality similar to Java's "import" statement.

This class can be used to create a top-level scope using the following code:

      Scriptable scope = new ImporterTopLevel(cx);

Then JavaScript code will have access to the following methods:

- importClass - will "import" a class by making its unqualified name available as a property of the top-level scope
- importPackage - will "import" all the classes of the package by searching for unqualified names as classes qualified by the given package.

The following code from the shell illustrates this use:

###

###

###

###

###

###

###

###

###

###

###

###

     js> importClass(java.io.File)
     js> f = new File('help.txt')
     help.txt
     js> importPackage(java.util)
     js> v = new Vector()
     []

    Author:
      Norris Boyd
    See Also:Serialized Form

    Field Summary

    Fields inherited from class org.mozilla.javascript.ScriptableObject

    DONTENUM, EMPTY, PERMANENT, READONLY

    Fields inherited from interface org.mozilla.javascript.Scriptable

    NOT_FOUND

    Constructor Summary

    ImporterTopLevel()

    ImporterTopLevel(Context cx)

    ImporterTopLevel(Context cx,
                     boolean sealed)

    Method Summary

     java.lang.Object
    execIdCall(org.mozilla.javascript.IdFunctionObject f,
               Context cx,
               Scriptable scope,
               Scriptable thisObj,
               java.lang.Object[] args)

              'thisObj' will be null if invoked as constructor, in which case
     instance of Scriptable should be returned.

    protected  int
    findPrototypeId(java.lang.String s)

     java.lang.Object
    get(java.lang.String name,
        Scriptable start)

              Returns the value of the named property or NOT_FOUND.

     java.lang.String
    getClassName()

              Return the name of the class.

     boolean
    has(java.lang.String name,
        Scriptable start)

              Returns true if the named property is defined.

     void
    importPackage(Context cx,
                  Scriptable thisObj,
                  java.lang.Object[] args,
                  Function funObj)

              Deprecated. Kept only for compatibility.

    static void
    init(Context cx,
         Scriptable scope,
         boolean sealed)

    protected  void
    initPrototypeId(int id)

     void
    initStandardObjects(Context cx,
                        boolean sealed)

    Methods inherited from class org.mozilla.javascript.IdScriptableObject

    activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, delete, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdValue

    Methods inherited from class org.mozilla.javascript.ScriptableObject

    associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getFunctionPrototype, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, hasInstance, hasProperty, hasProperty, isSealed, put, putProperty, putProperty, sealObject, setAttributes, setAttributes, setAttributes, setParentScope, setPrototype

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    ImporterTopLevel

    public ImporterTopLevel()

    ImporterTopLevel

    public ImporterTopLevel(Context cx)

    ImporterTopLevel

    public ImporterTopLevel(Context cx,
                            boolean sealed)

    Method Detail

    getClassName

    public java.lang.String getClassName()

    Description copied from class: ScriptableObject
    Return the name of the class.

     This is typically the same name as the constructor.
     Classes extending ScriptableObject must implement this abstract
     method.

    Specified by:getClassName in interface ScriptableSpecified by:getClassName in class ScriptableObject

    init

    public static void init(Context cx,
                            Scriptable scope,
                            boolean sealed)

    initStandardObjects

    public void initStandardObjects(Context cx,
                                    boolean sealed)

    has

    public boolean has(java.lang.String name,
                       Scriptable start)

    Description copied from class: ScriptableObject
    Returns true if the named property is defined.

    get

    public java.lang.Object get(java.lang.String name,
                                Scriptable start)

    Description copied from class: ScriptableObject
    Returns the value of the named property or NOT_FOUND.

     If the property was created using defineProperty, the
     appropriate getter method is called.

    importPackage

    public void importPackage(Context cx,
                              Scriptable thisObj,
                              java.lang.Object[] args,
                              Function funObj)

    Deprecated. Kept only for compatibility.

    initPrototypeId

    protected void initPrototypeId(int id)

    execIdCall

    public java.lang.Object execIdCall(org.mozilla.javascript.IdFunctionObject f,
                                       Context cx,
                                       Scriptable scope,
                                       Scriptable thisObj,
                                       java.lang.Object[] args)

    Description copied from class: org.mozilla.javascript.IdScriptableObject
    'thisObj' will be null if invoked as constructor, in which case
     instance of Scriptable should be returned.

    findPrototypeId

    protected int findPrototypeId(java.lang.String s)

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD